\documentclass[black,white]{beamer}
\usepackage{beamerthemesplit}
\usepackage{epstopdf}
\usepackage{graphicx}
\usepackage{subfigure}
\usepackage{sudoku}
\usepackage[utf8]{inputenc}
\usepackage[english]{babel}
\usepackage{listings}
\usefonttheme{professionalfonts}
\usecolortheme{dove}
\useoutertheme{infolines}
\useinnertheme{rectangles}
\setlength{\parindent}{0pt}
\renewcommand*\sudokuformat[1]{\sffamily#1}
\newcommand*\sfb[1]{\textbf{#1}}

\begin{document}

\title[Solving Sudokus with EAs]{Solving Sudokus with Evolutionary Algorithms}
\author[Daniel Borkmann]{
	Daniel Borkmann\\
	\footnotesize{\texttt{<dborkma@imn.htwk-leipzig.de>}}\\
	\footnotesize{\texttt{http://gnumaniacs.org}}
}
\institute[HTWK-Leipzig]{
	Leipzig University of Applied Sciences\\
	Faculty of Computer Science, Mathematics and Natural Sciences
}
\date[\today]{\footnotesize{\today}}

\frame {
	\titlepage
}

\frame {
	\frametitle{Table of Contents}
	\tableofcontents
}

\section{Sudoku}
\frame {
	\frametitle{Sudoku Basics}
	\begin{itemize}
		\item Combinatorial number-placement puzzle
		\item Usually $9*9$ grid with digits $D=\{1,2,...,9\}$ in each cell
		\item Grid is divided into $9$ $3*3$ \textit{blocks}
		\item Each $3*3$ block must contain each element
		      of $D$ \newline exactly once $\rightarrow$ \textbf{constraint 1}
		\item Each $9*1$ grid column must contain each element of $D$
		      \newline exactly once $\rightarrow$ \textbf{constraint 2}
		\item Each $1*9$ grid row must contain each element of $D$
		      \newline exactly once $\rightarrow$ \textbf{constraint 3}
		\item Problem instance has initial set of fixed, immutable digits
	\end{itemize}
}

\section{Resources} %% Bibtex might be better here
\frame{
	\frametitle{Resources}
	\begin{itemize}
		\item \textit{Enumerating possible Sudoku grids}, 
		      Bertram Felgenhauer and Frazer Jarvis, 2005, 
		      TU Dresden, University of Sheffield, [FeJa]
		\item \textit{Dancing Links}, 
		      Donald E. Knuth, 2000, 
		      Standord University, [DoKn]
	\end{itemize}
}

\end{document}
